var SunflowerNetwork = {
  onLoad: function() {
    // initialization code
    this.initialized = true;
  },

};

window.addEventListener("load", function(e) { SunflowerNetwork.onLoad(e); }, false); 


function getSunflowerHelp(helptext) {

	var alertString = "Sunflower Network - Instant Computer Help\n\nPlease enter a description of your computer problem in the text box, \n" +
	" and click on 'Choose a Price' to select how much you're willing to pay to have it solved\n\nThen, click the 'Get Help' button to be immediately connected with an expert!" + 
		"\n\nVisit www.SunflowerNetwork.com for details";
		
	// make sure they've entered a description and selected a price
	
	if (document.getElementById('helptext').value == "(describe your computer problem here)") {
		alert(alertString);
		return;
	}

	if(document.getElementById('price').value == "0") {
		alert(alertString);
		return;	
	}


	// Connect to the Sunflower Network live page
	//http://live.sunflowernetwork.com/sunf001/ggreq.html?pr=XYZ&ds=encodeddesc
    // where XYZ is the price in cents
	var url;
	url = "http://live.sunflowernetwork.com/sunf001/ffreq.html?pr=" +
		document.getElementById('price').value + "&ds=" + 
		escape(document.getElementById('helptext').value);
	
    window.open(url);
} // end function getSunflowerHelp